PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pg_conndefaults

## Name

pg_conndefaults -- obtain information about default connection parameters

## Synopsis

    pg_conndefaults

### Inputs

None.

### Outputs

`option list`

  The result is a list describing the possible connection options and their current default values. Each entry in the list is a sublist of the format:

  {optname label dispchar dispsize value}

  where the optname is usable as an option in `pg_connect -conninfo`.

## Description

`pg_conndefaults` returns info about the connection options available in `pg_connect -conninfo` and the current default value for each option.

## Usage

pg_conndefaults

Prev | Home | Next
pg_disconnect | Up | pg_exec